Main Page Widgets glibmm Namespaces Book

# appinfo.h File Reference

## Namespaces

namespace | Gio
namespace | Glib

## Classes

class | Gio::AppLaunchContext
| This is used to handle, for instance, startup notification and launching of the new application on the same screen as the launching window. More...
class | Gio::AppInfo
| Application information, to describe applications installed on the system, and launch them. More...

## Enumerations

enum | Gio::AppInfoCreateFlags { Gio::APP_INFO_CREATE_NONE = 0, Gio::APP_INFO_CREATE_NEEDS_TERMINAL = 1<<0, Gio::APP_INFO_CREATE_SUPPORTS_URIS = 1<<1 }

## Functions

AppInfoCreateFlags | Gio::operator| (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator& (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator^ (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator~ (AppInfoCreateFlags flags)
AppInfoCreateFlags& | Gio::operator|= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags& | Gio::operator&= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags& | Gio::operator^= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)